## Generated SDC file "bts_hsmc_lvds.out.sdc"

## Copyright (C) 1991-2014 Altera Corporation. All rights reserved.
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, the Altera Quartus II License Agreement,
## the Altera MegaCore Function License Agreement, or other 
## applicable license agreement, including, without limitation, 
## that your use is for the sole purpose of programming logic 
## devices manufactured by Altera and sold by Altera or its 
## authorized distributors.  Please refer to the applicable 
## agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 15.0.0 Internal Build 58 12/23/2014 SJ Full Version"

## DATE    "Mon Dec 29 09:00:20 2014"

##
## DEVICE  "10M50DAF484C6GES"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3

derive_pll_clocks

#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {altera_reserved_tck} -period 40.000 -waveform { 0.000 20.000 } [get_ports {altera_reserved_tck}]
create_clock -name {clk_50_max10} -period 20.000 -waveform { 0.000 10.000 } [get_ports {clk_50_max10}]
create_clock -name {clk_25_max10} -period 40.000 -waveform { 0.000 20.000 } [get_ports {clk_25_max10}]
create_clock -name {clk_25_max10} -period 40.000 -waveform { 0.000 20.000 } [get_ports {clk_25_max10}]
create_clock -name {clk_ddr3_100_p} -period 10.000 -waveform { 0.000 5.000 } [get_ports {clk_ddr3_100_p}]
create_clock -name {clk_lvds_125_p} -period 8.000 -waveform { 0.000 4.000 } [get_ports {clk_lvds_125_p}]
create_clock -name {virt_clk} -period 12.800 -waveform { 0.000 6.400 } 
create_clock -name {hsmc_clk_in_p2} -period 12.800 -waveform { 0.000 6.400 } [get_ports {hsmc_clk_in_p[2]}]
create_clock -name {hsmc_clk_out_p2} -period 12.800 -waveform { 0.000 6.400 } [get_ports {hsmc_clk_out_p[2]}]

#**************************************************************
# Create Generated Clock
#**************************************************************


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

derive_clock_uncertainty


#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdi}]
set_input_delay -add_delay  -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tms}]

#FPGA Centric – Edge Aligned
set_input_delay -clock [get_clocks virt_clk] -max 0.2 [get_ports {hsmc_rx_d_p[*]}] -add_delay
set_input_delay -clock [get_clocks virt_clk] -min -0.2 [get_ports {hsmc_rx_d_p[*]}] -add_delay
set_input_delay -clock [get_clocks virt_clk] -clock_fall -max 0.2 [get_ports {hsmc_rx_d_p[*]}] -add_delay
set_input_delay -clock [get_clocks virt_clk] -clock_fall -min -0.2 [get_ports {hsmc_rx_d_p[*]}] -add_delay


#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -add_delay -fall -max -clock_fall -clock [get_clocks {altera_reserved_tck}]  5.000 [get_ports {altera_reserved_tdo}]

#FPGA Centric – Edge Aligned
set_output_delay -clock [get_clocks hsmc_clk_out_p2] -max -0.2 [get_ports {hsmc_tx_d_p[*]}] -add_delay
set_output_delay -clock [get_clocks hsmc_clk_out_p2] -min -3.8 [get_ports {hsmc_tx_d_p[*]}] -add_delay
set_output_delay -clock [get_clocks hsmc_clk_out_p2] -clock_fall -max -0.2 [get_ports {hsmc_tx_d_p[*]}] -add_delay
set_output_delay -clock [get_clocks hsmc_clk_out_p2] -clock_fall -min -3.8 [get_ports {hsmc_tx_d_p[*]}] -add_delay


#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks {altera_reserved_tck}] 


#**************************************************************
# Set False Path
#**************************************************************

set_false_path -from [get_registers {*altera_avalon_st_clock_crosser:*|in_data_buffer*}] -to [get_registers {*altera_avalon_st_clock_crosser:*|out_data_buffer*}]
set_false_path -to [get_keepers {*altera_std_synchronizer:*|din_s1}]
set_false_path -to [get_ports {fpga_resetn}]
set_false_path -from [get_ports {fpga_resetn}] 
set_false_path -from [get_ports {user_dipsw[*]}] 
set_false_path -from [get_ports {user_pb[*]}] 
set_false_path -to [get_ports {user_led[*]}]
set_false_path -from [get_keepers {xcvr_test_system:xcvr_test_system|xcvr_test_system_pio_0:pio_0|data_out[*]}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|pattern_select*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|clock_sensor*}] -to [get_keepers {*altera_avalon_data_pattern_checker:*|avs_readdata[1]*}]
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|snap_handshake_clock_crosser:*|din*}] -to [get_keepers {*altera_avalon_data_pattern_checker:*|snap_handshake_clock_crosser:*|dout*}]
set_false_path -from [get_keepers {*altera_avalon_data_pattern_checker:*|snap_handshake_clock_crosser:*|dout*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_generator:*|pattern_select*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_generator:*|sync_character*}] 
set_false_path -from [get_keepers {*altera_avalon_data_pattern_generator:*|preamble_register*}] 
set_false_path -from [get_registers {*altera_jtag_src_crosser:*|sink_data_buffer*}] -to [get_registers {*altera_jtag_src_crosser:*|src_data*}]
set_false_path -to [get_pins -nocase -compatibility_mode {*|alt_rst_sync_uq1|altera_reset_synchronizer_int_chain*|clrn}]

set_false_path -from * -to {sld_signaltap:auto_signaltap_0|*}
set_false_path -from {sld_signaltap:auto_signaltap_0|*} -to *

set_false_path -from {xcvr_test_system:xcvr_test_system|xcvr_test_system_pio_2:pio_2|data_out} -to {pb_align_1}


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

