// adc_qsys.v

// Generated using ACDS version 15.0 139

`timescale 1 ps / 1 ps
module adc_qsys (
		input  wire        clk_50m_clk,                         //                      clk_50m.clk
		input  wire        clk_adc_ref_clk,                     //                  clk_adc_ref.clk
		output wire [17:0] dac_ctrl_external_connection_export, // dac_ctrl_external_connection.export
		input  wire        modular_adc_0_adc_pll_locked_export, // modular_adc_0_adc_pll_locked.export
		input  wire        modular_adc_1_adc_pll_locked_export, // modular_adc_1_adc_pll_locked.export
		input  wire        reset_50m_reset_n,                   //                    reset_50m.reset_n
		input  wire        reset_adc_ref_reset_n                //                reset_adc_ref.reset_n
	);

	wire  [31:0] master_0_master_readdata;                                   // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                    // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                       // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                 // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                              // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                      // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                  // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect; // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;   // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;    // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;       // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire         mm_interconnect_0_dac_ctrl_s1_chipselect;                   // mm_interconnect_0:dac_ctrl_s1_chipselect -> dac_ctrl:chipselect
	wire  [31:0] mm_interconnect_0_dac_ctrl_s1_readdata;                     // dac_ctrl:readdata -> mm_interconnect_0:dac_ctrl_s1_readdata
	wire   [1:0] mm_interconnect_0_dac_ctrl_s1_address;                      // mm_interconnect_0:dac_ctrl_s1_address -> dac_ctrl:address
	wire         mm_interconnect_0_dac_ctrl_s1_write;                        // mm_interconnect_0:dac_ctrl_s1_write -> dac_ctrl:write_n
	wire  [31:0] mm_interconnect_0_dac_ctrl_s1_writedata;                    // mm_interconnect_0:dac_ctrl_s1_writedata -> dac_ctrl:writedata
	wire  [31:0] mm_interconnect_0_modular_adc_0_sample_store_csr_readdata;  // modular_adc_0:sample_store_csr_readdata -> mm_interconnect_0:modular_adc_0_sample_store_csr_readdata
	wire   [6:0] mm_interconnect_0_modular_adc_0_sample_store_csr_address;   // mm_interconnect_0:modular_adc_0_sample_store_csr_address -> modular_adc_0:sample_store_csr_address
	wire         mm_interconnect_0_modular_adc_0_sample_store_csr_read;      // mm_interconnect_0:modular_adc_0_sample_store_csr_read -> modular_adc_0:sample_store_csr_read
	wire         mm_interconnect_0_modular_adc_0_sample_store_csr_write;     // mm_interconnect_0:modular_adc_0_sample_store_csr_write -> modular_adc_0:sample_store_csr_write
	wire  [31:0] mm_interconnect_0_modular_adc_0_sample_store_csr_writedata; // mm_interconnect_0:modular_adc_0_sample_store_csr_writedata -> modular_adc_0:sample_store_csr_writedata
	wire  [31:0] mm_interconnect_0_modular_adc_1_sample_store_csr_readdata;  // modular_adc_1:sample_store_csr_readdata -> mm_interconnect_0:modular_adc_1_sample_store_csr_readdata
	wire   [6:0] mm_interconnect_0_modular_adc_1_sample_store_csr_address;   // mm_interconnect_0:modular_adc_1_sample_store_csr_address -> modular_adc_1:sample_store_csr_address
	wire         mm_interconnect_0_modular_adc_1_sample_store_csr_read;      // mm_interconnect_0:modular_adc_1_sample_store_csr_read -> modular_adc_1:sample_store_csr_read
	wire         mm_interconnect_0_modular_adc_1_sample_store_csr_write;     // mm_interconnect_0:modular_adc_1_sample_store_csr_write -> modular_adc_1:sample_store_csr_write
	wire  [31:0] mm_interconnect_0_modular_adc_1_sample_store_csr_writedata; // mm_interconnect_0:modular_adc_1_sample_store_csr_writedata -> modular_adc_1:sample_store_csr_writedata
	wire  [31:0] mm_interconnect_0_modular_adc_0_sequencer_csr_readdata;     // modular_adc_0:sequencer_csr_readdata -> mm_interconnect_0:modular_adc_0_sequencer_csr_readdata
	wire   [0:0] mm_interconnect_0_modular_adc_0_sequencer_csr_address;      // mm_interconnect_0:modular_adc_0_sequencer_csr_address -> modular_adc_0:sequencer_csr_address
	wire         mm_interconnect_0_modular_adc_0_sequencer_csr_read;         // mm_interconnect_0:modular_adc_0_sequencer_csr_read -> modular_adc_0:sequencer_csr_read
	wire         mm_interconnect_0_modular_adc_0_sequencer_csr_write;        // mm_interconnect_0:modular_adc_0_sequencer_csr_write -> modular_adc_0:sequencer_csr_write
	wire  [31:0] mm_interconnect_0_modular_adc_0_sequencer_csr_writedata;    // mm_interconnect_0:modular_adc_0_sequencer_csr_writedata -> modular_adc_0:sequencer_csr_writedata
	wire  [31:0] mm_interconnect_0_modular_adc_1_sequencer_csr_readdata;     // modular_adc_1:sequencer_csr_readdata -> mm_interconnect_0:modular_adc_1_sequencer_csr_readdata
	wire   [0:0] mm_interconnect_0_modular_adc_1_sequencer_csr_address;      // mm_interconnect_0:modular_adc_1_sequencer_csr_address -> modular_adc_1:sequencer_csr_address
	wire         mm_interconnect_0_modular_adc_1_sequencer_csr_read;         // mm_interconnect_0:modular_adc_1_sequencer_csr_read -> modular_adc_1:sequencer_csr_read
	wire         mm_interconnect_0_modular_adc_1_sequencer_csr_write;        // mm_interconnect_0:modular_adc_1_sequencer_csr_write -> modular_adc_1:sequencer_csr_write
	wire  [31:0] mm_interconnect_0_modular_adc_1_sequencer_csr_writedata;    // mm_interconnect_0:modular_adc_1_sequencer_csr_writedata -> modular_adc_1:sequencer_csr_writedata
	wire         rst_controller_reset_out_reset;                             // rst_controller:reset_out -> [dac_ctrl:reset_n, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_0:product_info_0_clock_reset_reset_reset_bridge_in_reset_reset, product_info_0:reset_n]
	wire         rst_controller_001_reset_out_reset;                         // rst_controller_001:reset_out -> [mm_interconnect_0:modular_adc_0_reset_sink_reset_bridge_in_reset_reset, modular_adc_0:reset_sink_reset_n, modular_adc_1:reset_sink_reset_n]

	adc_qsys_dac_ctrl dac_ctrl (
		.clk        (clk_50m_clk),                              //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),          //               reset.reset_n
		.address    (mm_interconnect_0_dac_ctrl_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_dac_ctrl_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_dac_ctrl_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_dac_ctrl_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_dac_ctrl_s1_readdata),   //                    .readdata
		.out_port   (dac_ctrl_external_connection_export)       // external_connection.export
	);

	adc_qsys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_50m_clk),                   //          clk.clk
		.clk_reset_reset      (~reset_50m_reset_n),            //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	adc_qsys_modular_adc_0 #(
		.is_this_first_or_second_adc (1)
	) modular_adc_0 (
		.clock_clk                  (clk_50m_clk),                                                //            clock.clk
		.reset_sink_reset_n         (~rst_controller_001_reset_out_reset),                        //       reset_sink.reset_n
		.adc_pll_clock_clk          (clk_adc_ref_clk),                                            //    adc_pll_clock.clk
		.adc_pll_locked_export      (modular_adc_0_adc_pll_locked_export),                        //   adc_pll_locked.export
		.sequencer_csr_address      (mm_interconnect_0_modular_adc_0_sequencer_csr_address),      //    sequencer_csr.address
		.sequencer_csr_read         (mm_interconnect_0_modular_adc_0_sequencer_csr_read),         //                 .read
		.sequencer_csr_write        (mm_interconnect_0_modular_adc_0_sequencer_csr_write),        //                 .write
		.sequencer_csr_writedata    (mm_interconnect_0_modular_adc_0_sequencer_csr_writedata),    //                 .writedata
		.sequencer_csr_readdata     (mm_interconnect_0_modular_adc_0_sequencer_csr_readdata),     //                 .readdata
		.sample_store_csr_address   (mm_interconnect_0_modular_adc_0_sample_store_csr_address),   // sample_store_csr.address
		.sample_store_csr_read      (mm_interconnect_0_modular_adc_0_sample_store_csr_read),      //                 .read
		.sample_store_csr_write     (mm_interconnect_0_modular_adc_0_sample_store_csr_write),     //                 .write
		.sample_store_csr_writedata (mm_interconnect_0_modular_adc_0_sample_store_csr_writedata), //                 .writedata
		.sample_store_csr_readdata  (mm_interconnect_0_modular_adc_0_sample_store_csr_readdata),  //                 .readdata
		.sample_store_irq_irq       ()                                                            // sample_store_irq.irq
	);

	adc_qsys_modular_adc_1 #(
		.is_this_first_or_second_adc (2)
	) modular_adc_1 (
		.clock_clk                  (clk_50m_clk),                                                //            clock.clk
		.reset_sink_reset_n         (~rst_controller_001_reset_out_reset),                        //       reset_sink.reset_n
		.adc_pll_clock_clk          (clk_adc_ref_clk),                                            //    adc_pll_clock.clk
		.adc_pll_locked_export      (modular_adc_1_adc_pll_locked_export),                        //   adc_pll_locked.export
		.sequencer_csr_address      (mm_interconnect_0_modular_adc_1_sequencer_csr_address),      //    sequencer_csr.address
		.sequencer_csr_read         (mm_interconnect_0_modular_adc_1_sequencer_csr_read),         //                 .read
		.sequencer_csr_write        (mm_interconnect_0_modular_adc_1_sequencer_csr_write),        //                 .write
		.sequencer_csr_writedata    (mm_interconnect_0_modular_adc_1_sequencer_csr_writedata),    //                 .writedata
		.sequencer_csr_readdata     (mm_interconnect_0_modular_adc_1_sequencer_csr_readdata),     //                 .readdata
		.sample_store_csr_address   (mm_interconnect_0_modular_adc_1_sample_store_csr_address),   // sample_store_csr.address
		.sample_store_csr_read      (mm_interconnect_0_modular_adc_1_sample_store_csr_read),      //                 .read
		.sample_store_csr_write     (mm_interconnect_0_modular_adc_1_sample_store_csr_write),     //                 .write
		.sample_store_csr_writedata (mm_interconnect_0_modular_adc_1_sample_store_csr_writedata), //                 .writedata
		.sample_store_csr_readdata  (mm_interconnect_0_modular_adc_1_sample_store_csr_readdata),  //                 .readdata
		.sample_store_irq_irq       ()                                                            // sample_store_irq.irq
	);

	product_info product_info_0 (
		.clk          (clk_50m_clk),                                                 //       clock_reset.clk
		.reset_n      (~rst_controller_reset_out_reset),                             // clock_reset_reset.reset_n
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                  .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //                  .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address)      //                  .address
	);

	adc_qsys_mm_interconnect_0 mm_interconnect_0 (
		.clk_50m_clk_clk                                              (clk_50m_clk),                                                //                                            clk_50m_clk.clk
		.master_0_clk_reset_reset_bridge_in_reset_reset               (rst_controller_reset_out_reset),                             //               master_0_clk_reset_reset_bridge_in_reset.reset
		.modular_adc_0_reset_sink_reset_bridge_in_reset_reset         (rst_controller_001_reset_out_reset),                         //         modular_adc_0_reset_sink_reset_bridge_in_reset.reset
		.product_info_0_clock_reset_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                             // product_info_0_clock_reset_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                      (master_0_master_address),                                    //                                        master_0_master.address
		.master_0_master_waitrequest                                  (master_0_master_waitrequest),                                //                                                       .waitrequest
		.master_0_master_byteenable                                   (master_0_master_byteenable),                                 //                                                       .byteenable
		.master_0_master_read                                         (master_0_master_read),                                       //                                                       .read
		.master_0_master_readdata                                     (master_0_master_readdata),                                   //                                                       .readdata
		.master_0_master_readdatavalid                                (master_0_master_readdatavalid),                              //                                                       .readdatavalid
		.master_0_master_write                                        (master_0_master_write),                                      //                                                       .write
		.master_0_master_writedata                                    (master_0_master_writedata),                                  //                                                       .writedata
		.dac_ctrl_s1_address                                          (mm_interconnect_0_dac_ctrl_s1_address),                      //                                            dac_ctrl_s1.address
		.dac_ctrl_s1_write                                            (mm_interconnect_0_dac_ctrl_s1_write),                        //                                                       .write
		.dac_ctrl_s1_readdata                                         (mm_interconnect_0_dac_ctrl_s1_readdata),                     //                                                       .readdata
		.dac_ctrl_s1_writedata                                        (mm_interconnect_0_dac_ctrl_s1_writedata),                    //                                                       .writedata
		.dac_ctrl_s1_chipselect                                       (mm_interconnect_0_dac_ctrl_s1_chipselect),                   //                                                       .chipselect
		.modular_adc_0_sample_store_csr_address                       (mm_interconnect_0_modular_adc_0_sample_store_csr_address),   //                         modular_adc_0_sample_store_csr.address
		.modular_adc_0_sample_store_csr_write                         (mm_interconnect_0_modular_adc_0_sample_store_csr_write),     //                                                       .write
		.modular_adc_0_sample_store_csr_read                          (mm_interconnect_0_modular_adc_0_sample_store_csr_read),      //                                                       .read
		.modular_adc_0_sample_store_csr_readdata                      (mm_interconnect_0_modular_adc_0_sample_store_csr_readdata),  //                                                       .readdata
		.modular_adc_0_sample_store_csr_writedata                     (mm_interconnect_0_modular_adc_0_sample_store_csr_writedata), //                                                       .writedata
		.modular_adc_0_sequencer_csr_address                          (mm_interconnect_0_modular_adc_0_sequencer_csr_address),      //                            modular_adc_0_sequencer_csr.address
		.modular_adc_0_sequencer_csr_write                            (mm_interconnect_0_modular_adc_0_sequencer_csr_write),        //                                                       .write
		.modular_adc_0_sequencer_csr_read                             (mm_interconnect_0_modular_adc_0_sequencer_csr_read),         //                                                       .read
		.modular_adc_0_sequencer_csr_readdata                         (mm_interconnect_0_modular_adc_0_sequencer_csr_readdata),     //                                                       .readdata
		.modular_adc_0_sequencer_csr_writedata                        (mm_interconnect_0_modular_adc_0_sequencer_csr_writedata),    //                                                       .writedata
		.modular_adc_1_sample_store_csr_address                       (mm_interconnect_0_modular_adc_1_sample_store_csr_address),   //                         modular_adc_1_sample_store_csr.address
		.modular_adc_1_sample_store_csr_write                         (mm_interconnect_0_modular_adc_1_sample_store_csr_write),     //                                                       .write
		.modular_adc_1_sample_store_csr_read                          (mm_interconnect_0_modular_adc_1_sample_store_csr_read),      //                                                       .read
		.modular_adc_1_sample_store_csr_readdata                      (mm_interconnect_0_modular_adc_1_sample_store_csr_readdata),  //                                                       .readdata
		.modular_adc_1_sample_store_csr_writedata                     (mm_interconnect_0_modular_adc_1_sample_store_csr_writedata), //                                                       .writedata
		.modular_adc_1_sequencer_csr_address                          (mm_interconnect_0_modular_adc_1_sequencer_csr_address),      //                            modular_adc_1_sequencer_csr.address
		.modular_adc_1_sequencer_csr_write                            (mm_interconnect_0_modular_adc_1_sequencer_csr_write),        //                                                       .write
		.modular_adc_1_sequencer_csr_read                             (mm_interconnect_0_modular_adc_1_sequencer_csr_read),         //                                                       .read
		.modular_adc_1_sequencer_csr_readdata                         (mm_interconnect_0_modular_adc_1_sequencer_csr_readdata),     //                                                       .readdata
		.modular_adc_1_sequencer_csr_writedata                        (mm_interconnect_0_modular_adc_1_sequencer_csr_writedata),    //                                                       .writedata
		.product_info_0_avalon_slave_0_address                        (mm_interconnect_0_product_info_0_avalon_slave_0_address),    //                          product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                           (mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                                                       .read
		.product_info_0_avalon_slave_0_readdata                       (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),   //                                                       .readdata
		.product_info_0_avalon_slave_0_chipselect                     (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect)  //                                                       .chipselect
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_50m_reset_n),             // reset_in0.reset
		.clk            (clk_50m_clk),                    //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_50m_reset_n),                 // reset_in0.reset
		.reset_in1      (~reset_adc_ref_reset_n),             // reset_in1.reset
		.clk            (clk_50m_clk),                        //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
