	component xcvr_test_system is
		port (
			clk_50_clk                                        : in  std_logic                     := 'X';             -- clk
			data_pattern_checker_x32_g0_pattern_in_valid      : in  std_logic                     := 'X';             -- valid
			data_pattern_checker_x32_g0_pattern_in_ready      : out std_logic;                                        -- ready
			data_pattern_checker_x32_g0_pattern_in_data       : in  std_logic_vector(31 downto 0) := (others => 'X'); -- data
			data_pattern_checker_x32_g0_pattern_in_clk_clk    : in  std_logic                     := 'X';             -- clk
			data_pattern_checker_x32_g1_pattern_in_valid      : in  std_logic                     := 'X';             -- valid
			data_pattern_checker_x32_g1_pattern_in_ready      : out std_logic;                                        -- ready
			data_pattern_checker_x32_g1_pattern_in_data       : in  std_logic_vector(31 downto 0) := (others => 'X'); -- data
			data_pattern_checker_x32_g1_pattern_in_clk_clk    : in  std_logic                     := 'X';             -- clk
			data_pattern_checker_x32_g2_pattern_in_valid      : in  std_logic                     := 'X';             -- valid
			data_pattern_checker_x32_g2_pattern_in_ready      : out std_logic;                                        -- ready
			data_pattern_checker_x32_g2_pattern_in_data       : in  std_logic_vector(31 downto 0) := (others => 'X'); -- data
			data_pattern_checker_x32_g2_pattern_in_clk_clk    : in  std_logic                     := 'X';             -- clk
			data_pattern_checker_x40_g3_pattern_in_valid      : in  std_logic                     := 'X';             -- valid
			data_pattern_checker_x40_g3_pattern_in_ready      : out std_logic;                                        -- ready
			data_pattern_checker_x40_g3_pattern_in_data       : in  std_logic_vector(39 downto 0) := (others => 'X'); -- data
			data_pattern_checker_x40_g3_pattern_in_clk_clk    : in  std_logic                     := 'X';             -- clk
			data_pattern_generator_x32_g0_pattern_out_valid   : out std_logic;                                        -- valid
			data_pattern_generator_x32_g0_pattern_out_ready   : in  std_logic                     := 'X';             -- ready
			data_pattern_generator_x32_g0_pattern_out_data    : out std_logic_vector(31 downto 0);                    -- data
			data_pattern_generator_x32_g0_pattern_out_clk_clk : in  std_logic                     := 'X';             -- clk
			data_pattern_generator_x32_g1_pattern_out_valid   : out std_logic;                                        -- valid
			data_pattern_generator_x32_g1_pattern_out_ready   : in  std_logic                     := 'X';             -- ready
			data_pattern_generator_x32_g1_pattern_out_data    : out std_logic_vector(31 downto 0);                    -- data
			data_pattern_generator_x32_g1_pattern_out_clk_clk : in  std_logic                     := 'X';             -- clk
			data_pattern_generator_x32_g2_pattern_out_valid   : out std_logic;                                        -- valid
			data_pattern_generator_x32_g2_pattern_out_ready   : in  std_logic                     := 'X';             -- ready
			data_pattern_generator_x32_g2_pattern_out_data    : out std_logic_vector(31 downto 0);                    -- data
			data_pattern_generator_x32_g2_pattern_out_clk_clk : in  std_logic                     := 'X';             -- clk
			data_pattern_generator_x40_g3_pattern_out_valid   : out std_logic;                                        -- valid
			data_pattern_generator_x40_g3_pattern_out_ready   : in  std_logic                     := 'X';             -- ready
			data_pattern_generator_x40_g3_pattern_out_data    : out std_logic_vector(39 downto 0);                    -- data
			data_pattern_generator_x40_g3_pattern_out_clk_clk : in  std_logic                     := 'X';             -- clk
			pio_0_external_connection_export                  : out std_logic_vector(16 downto 0);                    -- export
			pio_1_external_connection_export                  : out std_logic_vector(16 downto 0);                    -- export
			reset_50_reset_n                                  : in  std_logic                     := 'X';             -- reset_n
			pio_2_external_connection_export                  : out std_logic                                         -- export
		);
	end component xcvr_test_system;

	u0 : component xcvr_test_system
		port map (
			clk_50_clk                                        => CONNECTED_TO_clk_50_clk,                                        --                                        clk_50.clk
			data_pattern_checker_x32_g0_pattern_in_valid      => CONNECTED_TO_data_pattern_checker_x32_g0_pattern_in_valid,      --        data_pattern_checker_x32_g0_pattern_in.valid
			data_pattern_checker_x32_g0_pattern_in_ready      => CONNECTED_TO_data_pattern_checker_x32_g0_pattern_in_ready,      --                                              .ready
			data_pattern_checker_x32_g0_pattern_in_data       => CONNECTED_TO_data_pattern_checker_x32_g0_pattern_in_data,       --                                              .data
			data_pattern_checker_x32_g0_pattern_in_clk_clk    => CONNECTED_TO_data_pattern_checker_x32_g0_pattern_in_clk_clk,    --    data_pattern_checker_x32_g0_pattern_in_clk.clk
			data_pattern_checker_x32_g1_pattern_in_valid      => CONNECTED_TO_data_pattern_checker_x32_g1_pattern_in_valid,      --        data_pattern_checker_x32_g1_pattern_in.valid
			data_pattern_checker_x32_g1_pattern_in_ready      => CONNECTED_TO_data_pattern_checker_x32_g1_pattern_in_ready,      --                                              .ready
			data_pattern_checker_x32_g1_pattern_in_data       => CONNECTED_TO_data_pattern_checker_x32_g1_pattern_in_data,       --                                              .data
			data_pattern_checker_x32_g1_pattern_in_clk_clk    => CONNECTED_TO_data_pattern_checker_x32_g1_pattern_in_clk_clk,    --    data_pattern_checker_x32_g1_pattern_in_clk.clk
			data_pattern_checker_x32_g2_pattern_in_valid      => CONNECTED_TO_data_pattern_checker_x32_g2_pattern_in_valid,      --        data_pattern_checker_x32_g2_pattern_in.valid
			data_pattern_checker_x32_g2_pattern_in_ready      => CONNECTED_TO_data_pattern_checker_x32_g2_pattern_in_ready,      --                                              .ready
			data_pattern_checker_x32_g2_pattern_in_data       => CONNECTED_TO_data_pattern_checker_x32_g2_pattern_in_data,       --                                              .data
			data_pattern_checker_x32_g2_pattern_in_clk_clk    => CONNECTED_TO_data_pattern_checker_x32_g2_pattern_in_clk_clk,    --    data_pattern_checker_x32_g2_pattern_in_clk.clk
			data_pattern_checker_x40_g3_pattern_in_valid      => CONNECTED_TO_data_pattern_checker_x40_g3_pattern_in_valid,      --        data_pattern_checker_x40_g3_pattern_in.valid
			data_pattern_checker_x40_g3_pattern_in_ready      => CONNECTED_TO_data_pattern_checker_x40_g3_pattern_in_ready,      --                                              .ready
			data_pattern_checker_x40_g3_pattern_in_data       => CONNECTED_TO_data_pattern_checker_x40_g3_pattern_in_data,       --                                              .data
			data_pattern_checker_x40_g3_pattern_in_clk_clk    => CONNECTED_TO_data_pattern_checker_x40_g3_pattern_in_clk_clk,    --    data_pattern_checker_x40_g3_pattern_in_clk.clk
			data_pattern_generator_x32_g0_pattern_out_valid   => CONNECTED_TO_data_pattern_generator_x32_g0_pattern_out_valid,   --     data_pattern_generator_x32_g0_pattern_out.valid
			data_pattern_generator_x32_g0_pattern_out_ready   => CONNECTED_TO_data_pattern_generator_x32_g0_pattern_out_ready,   --                                              .ready
			data_pattern_generator_x32_g0_pattern_out_data    => CONNECTED_TO_data_pattern_generator_x32_g0_pattern_out_data,    --                                              .data
			data_pattern_generator_x32_g0_pattern_out_clk_clk => CONNECTED_TO_data_pattern_generator_x32_g0_pattern_out_clk_clk, -- data_pattern_generator_x32_g0_pattern_out_clk.clk
			data_pattern_generator_x32_g1_pattern_out_valid   => CONNECTED_TO_data_pattern_generator_x32_g1_pattern_out_valid,   --     data_pattern_generator_x32_g1_pattern_out.valid
			data_pattern_generator_x32_g1_pattern_out_ready   => CONNECTED_TO_data_pattern_generator_x32_g1_pattern_out_ready,   --                                              .ready
			data_pattern_generator_x32_g1_pattern_out_data    => CONNECTED_TO_data_pattern_generator_x32_g1_pattern_out_data,    --                                              .data
			data_pattern_generator_x32_g1_pattern_out_clk_clk => CONNECTED_TO_data_pattern_generator_x32_g1_pattern_out_clk_clk, -- data_pattern_generator_x32_g1_pattern_out_clk.clk
			data_pattern_generator_x32_g2_pattern_out_valid   => CONNECTED_TO_data_pattern_generator_x32_g2_pattern_out_valid,   --     data_pattern_generator_x32_g2_pattern_out.valid
			data_pattern_generator_x32_g2_pattern_out_ready   => CONNECTED_TO_data_pattern_generator_x32_g2_pattern_out_ready,   --                                              .ready
			data_pattern_generator_x32_g2_pattern_out_data    => CONNECTED_TO_data_pattern_generator_x32_g2_pattern_out_data,    --                                              .data
			data_pattern_generator_x32_g2_pattern_out_clk_clk => CONNECTED_TO_data_pattern_generator_x32_g2_pattern_out_clk_clk, -- data_pattern_generator_x32_g2_pattern_out_clk.clk
			data_pattern_generator_x40_g3_pattern_out_valid   => CONNECTED_TO_data_pattern_generator_x40_g3_pattern_out_valid,   --     data_pattern_generator_x40_g3_pattern_out.valid
			data_pattern_generator_x40_g3_pattern_out_ready   => CONNECTED_TO_data_pattern_generator_x40_g3_pattern_out_ready,   --                                              .ready
			data_pattern_generator_x40_g3_pattern_out_data    => CONNECTED_TO_data_pattern_generator_x40_g3_pattern_out_data,    --                                              .data
			data_pattern_generator_x40_g3_pattern_out_clk_clk => CONNECTED_TO_data_pattern_generator_x40_g3_pattern_out_clk_clk, -- data_pattern_generator_x40_g3_pattern_out_clk.clk
			pio_0_external_connection_export                  => CONNECTED_TO_pio_0_external_connection_export,                  --                     pio_0_external_connection.export
			pio_1_external_connection_export                  => CONNECTED_TO_pio_1_external_connection_export,                  --                     pio_1_external_connection.export
			reset_50_reset_n                                  => CONNECTED_TO_reset_50_reset_n,                                  --                                      reset_50.reset_n
			pio_2_external_connection_export                  => CONNECTED_TO_pio_2_external_connection_export                   --                     pio_2_external_connection.export
		);

